' impl_delete_older_files.vbs, ABr, 26-APR-13
' Script to delete files older than a given
Function DeleteOlderFiles(whichfolder, howmuchdaysinpast)
  Dim fso, f, f1, fc, n, ThresholdDate
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.GetFolder(whichfolder)
  Set fc = f.Files
  n = 0
  If howmuchdaysinpast = 0 Then
    howmuchdaysinpast = -7
  Else
    howmuchdaysinpast = -howmuchdaysinpast
  End If
  ThresholdDate = DateAdd("d", howmuchdaysinpast, Date)
  'WScript.StdOut.WriteLine "ThresholdDate: " & ThresholdDate
  For Each f1 in fc
    dateLastModified = f1.DateLastModified
    ' ABr: This is for debugging; uncomment to force deletion
    'dateLastModified = DateAdd("d", -10, dateLastModified)
    'WScript.StdOut.WriteLine f1 & " (" & dateLastModified & ")"
    If dateLastModified <= ThresholdDate Then
      theFile = f1.Name
      f1.Delete
      WScript.StdOut.WriteLine "Deleted: " & whichfolder & "\" & theFile
      n = n + 1
    End If
  Next
  Set fc = Nothing
  Set f = Nothing
  Set fso = Nothing
  WScript.StdOut.WriteLine "Deleted " & n & " file(s)."
End Function

Set objArgs = WScript.Arguments
DeleteOlderFiles WScript.Arguments(0), WScript.Arguments(1)

