ECHO OFF
REM Run_ALL.cmd, 23-APR-13, ABr
REM Run all scripts

REM User must pass in folder where all scripts are located.
SET l_NETFOLDER=%1
IF $%l_NETFOLDER%==$ GOTO NoParm
IF NOT EXIST %l_NETFOLDER%\Run_ALL.cmd GOTO NoScript
GOTO DoRun

:NoParm
ECHO ERROR: Must pass network folder where scripts are located
GOTO done

:NoScript
ECHO ERROR: Missing required scripts in passed network folder
GOTO done

:DoRun
REM FOR %%i IN (%l_NETFOLDER%\Run_*.cmd) do (ECHO %%i)
setlocal enabledelayedexpansion
FOR %%i IN (%l_NETFOLDER%\impl*.cmd) do (
  ECHO ***Run_ALL: %%i: BEGIN
  CALL %%i
  ECHO ***Run_ALL: %%i: END
  ECHO ---)
endlocal
GOTO done

:done
ECHO ***Run_ALL: Batch file completed.

